Page MenuHomePhabricator

Request a new MediaWiki label, [[MediaWiki:Please-translate]]
Closed, ResolvedPublic

Description

My team, like some other community-facing teams, sends out a lot of messages to hundreds of wikis, almost always in English. Many of those messages begin with some variant on "Please translate this into your language". However, people who can't read English can't read even the request for a translation, which means that they can't help us find a local translator. Many contributors know an English speaker, even if they don't read English themselves.

Could we please have a regular label that contains this message? Then we could begin all messages with "{{int:Please-translate}}", and (with the help of translators at Translatewiki.net) have everyone understand the request for translation.

Event Timeline

Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2015, 6:23 PM

Just add it to the WikimediaMessages repo?

Elitre added a subscriber: Elitre.Apr 14 2015, 1:16 PM
TTO added a subscriber: TTO.EditedApr 19 2015, 10:15 AM

Specify the English version of the message, and then someone will upload a patch against the WikimediaMessages repository in Gerrit.

Nemo_bis triaged this task as Normal priority.Apr 24 2015, 7:39 PM
Nemo_bis set Security to None.

As TTO says; but let me do the first step. Of course this is a workaround for the lack of global templates, but a bearable one.

Change 206482 had a related patch set uploaded (by Nemo bis):
Add "please-translate" message

https://gerrit.wikimedia.org/r/206482

Elitre, please check the sentence is fine by you. I use the message key you proposed, no extension uses it; it's pretty generic but I see we already have similar ones, so why not.

"Please help translate to your language" works for me. "Please help translate this to your language" would also work. I agree with your point about keeping it generic, so that it works for things that aren't exactly messages.

Someone suggested being able to add a link. IMO if that's wanted, then we can link the whole thing: [[Link| {{int:Please-translate}}]].

Someone suggested being able to add a link. IMO if that's wanted, then we can link the whole thing: [[Link| {{int:Please-translate}}]].

That was my idea too. :)

Elitre added a comment.EditedMay 5 2015, 3:33 PM

So this should be preceded by {{subst:#ifeq:{{subst:CONTENTLANG}}|en||Apologies for writing in English ...}}, right? Or we can combine them?

https://gerrit.wikimedia.org/r/206482 says "LGTM, but the envisioned target users should indicate this is something they want/need/will use."

@Whatamidoing-WMF / @Elitre: Want to add a comment in Gerrit at the bottom?

I had added a comment above which needs to be addressed first, I think?

So this should be preceded by {{subst:#ifeq:CONTENTLANG}}|en||Apologies for writing in English ...}}, right?

That would be a separate message/string, yes.

Then go for it? Not sure what the "this is something they want/need/will use" refers to - the message definitely is, otherwise we wouldn't ask for it :) (My use case is the multilingual VE newsletter, for the record.)

Keegan added a subscriber: Keegan.Oct 1 2015, 8:00 PM

Then go for it? Not sure what the "this is something they want/need/will use" refers to - the message definitely is, otherwise we wouldn't ask for it :) (My use case is the multilingual VE newsletter, for the record.)

@Aklapper @Elitre I commented/+1'd on gerrit.

Elitre added a comment.Oct 7 2015, 5:12 PM

@TTO I'll revise the language again. Thanks for your patience.

I don't think I have a Gerritt account, so I'll comment here. Either "Please translate" or "Please translate this" would work for me. The context should make it obvious enough. All we want is something that goes at the top of cross-wiki messages (e.g.., announcements from Legal that they are starting a community consultation) that encourages people to translate the message.

Change 206482 merged by jenkins-bot:
Add "please-translate" message

https://gerrit.wikimedia.org/r/206482

Krenair closed this task as Resolved.Oct 30 2015, 8:45 PM
Krenair claimed this task.

I don't think I have a Gerritt account, so I'll comment here.

It's tied to wikitech/labs/various other misc services. You can try a password reset on wikitech to find out whether you have one.

Krenair reassigned this task from Krenair to Nemo_bis.Oct 30 2015, 8:45 PM

Here's an example of us using the new label.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 31 2016, 9:35 PM